From 867b3d910a3d4d308d84cc141c4c5337d12790c0 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Wed, 14 Dec 2011 13:24:42 -0600
Subject: Small bug with 0 weight value

---
 grade/edit/tree/index.php |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/grade/edit/tree/index.php b/grade/edit/tree/index.php
index 9917e77..60ba488 100644
--- a/grade/edit/tree/index.php
+++ b/grade/edit/tree/index.php
@@ -309,6 +309,8 @@ if ($data = data_submitted() and confirm_sesskey()) {
                 // Retain original aggregationcoef if extra credit checked
                 if ($oldcoef < 0 and !$value) {
                     $grade_item->aggregationcoef = $oldcoef * -1;
+                } else if ($oldcoef == 0 and $value) {
+                    $grade_item->aggregationcoef = -1;
                 } else {
                     $grade_item->aggregationcoef = $value ? abs($oldcoef) * -1 : $oldcoef;
                 }
-- 
1.7.1


